View Issue Details

IDProjectCategoryView StatusLast Update
0000516Ham Radio DeluxeBugpublic2017-06-19 19:44
ReporterW4PC 
Assigned ToW4PC 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
PlatformPCOSWindows 7OS Version64-bit Pro
Product Version 
Target VersionFixed in Version6.2.4 
Summary0000516: Logbook does not time-out gracefully from failed DX Cluster connection
DescriptionIf you're away from the internet, trying to run on a laptop, and you've forgotten you have Logbook configured to "Connect on startup", Logbook simply hangs sometimes and does not gracefully exit from its connection timeout.

As a result, you are effectively locked out of Logbook without both an internet connection and response from the DX cluster.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing

Relationships

Activities

W4PC

2014-01-29 13:20

updater   ~0000178

not an issue.. this works fine in 6.2..

WA9PIE

2014-01-29 21:57

administrator   ~0000180

what needs to be fixed is that when the user clicks "Close", there is an "ungraceful" disconnect from the cluster server... in other words, it happens without a "logoff"... as a result, users have trouble making another connection to that server for a period of time...

What needs to happen when the users selects "Close" is for "bye" to be sent to the cluster (instead of "quit"; quit is fine for some cluster nodes... but not for all... "bye" is universally accepted).

Mike

WA9PIE

2014-01-29 21:59

administrator   ~0000181

Not fixed. I left notes.

WA9PIE

2014-02-02 19:57

administrator   ~0000329

I think this might be good now.

WA9PIE

2014-03-24 23:33

administrator   ~0000376

Tested. The "bye" command is now issued.

We still need to look at the "reconnect timer".

Mike, wa9pie

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:58 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2014-01-29 00:49 WA9PIE Project @5@ => 3 - Current Dev List
2014-01-29 13:20 W4PC Note Added: 0000178
2014-01-29 13:21 W4PC Release => (select)
2014-01-29 13:21 W4PC Fix Build => 6.2.213
2014-01-29 13:21 W4PC Module => (select)
2014-01-29 13:21 W4PC Sub-Module => (select)
2014-01-29 13:21 W4PC Report Build => (select)
2014-01-29 13:21 W4PC Status new => resolved
2014-01-29 13:21 W4PC Resolution open => fixed
2014-01-29 13:21 W4PC Assigned To => W4PC
2014-01-29 21:57 WA9PIE Note Added: 0000180
2014-01-29 21:59 WA9PIE Release (select) => 6.1
2014-01-29 21:59 WA9PIE Module (select) => Logbook
2014-01-29 21:59 WA9PIE Sub-Module (select) => DX Cluster
2014-01-29 21:59 WA9PIE Report Build (select) => 6.1.4.189
2014-01-29 21:59 WA9PIE Note Added: 0000181
2014-01-29 21:59 WA9PIE Status resolved => confirmed
2014-02-02 15:23 WA9PIE Summary Logbook does not time-out gracefully from failed DX Cluster connection => Bug: Logbook does not time-out gracefully from failed DX Cluster connection
2014-02-02 19:56 WA9PIE Status confirmed => resolved
2014-02-02 19:57 WA9PIE Note Added: 0000329
2014-03-24 23:33 WA9PIE Note Added: 0000376
2014-03-24 23:33 WA9PIE Status resolved => closed
2014-10-08 22:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-10-08 22:13 WA9PIE Category Logbook => General
2015-09-30 12:05 WA9PIE Fix Build 6.2.213 => (select)
2015-09-30 12:05 WA9PIE Proposed Release => TBD
2015-09-30 12:05 WA9PIE Summary Bug: Logbook does not time-out gracefully from failed DX Cluster connection => Logbook does not time-out gracefully from failed DX Cluster connection
2015-09-30 13:35 WA9PIE Category General => Bug
2017-06-19 19:44 WA9PIE Fixed in Version => 6.2.4